commit 5121a79e8e1c3ed478fdaac4e4f4a0e34382f256
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 30 13:55:20 2018 -0500

    distcheck-hook: remind myself to use DESTDIR, or distcheck won't work
    
    Because without it, the pixbuf loader wants to refresh the system
    directory and it doesn't have permission to do that if I run "make
    distcheck" as a user.

 Makefile.am | 7 +++++++
 1 file changed, 7 insertions(+)

commit d3f7d1f3adfdb2ebf705963172cca996e2663611
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 30 13:10:19 2018 -0500

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 24b8684d2d1c3c20fc8b9b9b5e22803188f6ce4c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 30 10:56:50 2018 -0500

    gitlab#328 - Make masking work on big-endian
    
    The code only worked in little-endian machines; it wrote to the pixels
    directly.  Now it uses the pixel iterator for SharedImageSurface,
    which handles endianness properly.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/328

 rsvg_internals/src/mask.rs | 98 +++++++++++++++++++++++++++++++---------------
 1 file changed, 66 insertions(+), 32 deletions(-)

commit f235e7b7d475f0fea60d3014c93d1618a7bb370b
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 30 09:51:19 2018 -0500

    compute_luminance_to_alpha(): Return a Result
    
    In preparation for making this use SharedImageSurface.

 rsvg_internals/src/mask.rs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ada905f2704da1a79fc998d54a6412d58c180d48
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 30 09:44:51 2018 -0500

    compute_luminance_to_alpha(): Take ownership of the surface; return it again

 rsvg_internals/src/mask.rs | 84 +++++++++++++++++++++++++++-------------------
 1 file changed, 49 insertions(+), 35 deletions(-)

commit 708b7d95d149a98cb2d1504521b059302570835a
Author: Simon McVittie <smcv@debian.org>
Date:   Wed Aug 29 11:14:15 2018 +0100

    Use LIBRSVG_LIBS, LIBM to satisfy dependencies of RUST_LIB
    
    Otherwise linking with -Wl,--as-needed fails.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 936d0065911ab1957661bf8f0afb77782ec5adc0
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Aug 29 16:32:17 2018 -0500

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 2d3ddca130d7d023daedf77a6ab58fefec510292
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Aug 29 16:26:44 2018 -0500

    gitlab#325 - rsvg_tree_free(): Cast the tree to our real Tree so it will get dropped
    
    We had this:
    
    pub extern "C" fn rsvg_tree_free(tree: *mut RsvgTree) {
        if !tree.is_null() {
            let _ = unsafe { Box::from_raw(tree) };
                             ^ gets a Box<RsvgTree>, which is a box of a zero-sized enum
    
    I.e. it frees zero bytes :)
    
    With need this rebinding:
    
        let tree = unsafe { &mut *(tree as *mut Tree) };
    
    i.e. cast tree as *mut Tree, so we'll end up with a Box<Tree>
    which *can* be dropped as appropriate.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/325

 rsvg_internals/src/tree.rs | 1 +
 1 file changed, 1 insertion(+)

commit afdb457e5b3952346e3e29ce93cc980fa2ea77ea
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 28 20:54:44 2018 -0500

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 873c5ea1d9b616fc3f025641949a503461e95089
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 28 20:33:07 2018 -0500

    Update NEWS some more

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5feee4464699a31ed90f0f459188e7d645e945aa
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 28 19:10:50 2018 -0500

    Update NEWS

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 12ba4cf09a4f0861b64d963d98a8497bbd5ac831
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 28 19:05:18 2018 -0500

    gitlab#326 - COMPILING.md: Fix confusion about Ubuntu versions
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/326

 COMPILING.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 79762bdf728ef6f52864498764e3a8eb759f4624
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 28 16:58:32 2018 -0500

    gitlab#325 - rsvg_handle_get_dimensions_sub(): Don't leak the new reference to the root node
    
    Before the introduction of RsvgTree, instead of rsvg_tree_get_root()
    we had rsvg_load_get_treebase().  The new function returns a new
    reference to the root node, while the old function just copied the
    pointer.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/325

 librsvg/rsvg-handle.c | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit da4a18e8917f46d7fa063da74e9f746dbe9cac53
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 27 21:03:39 2018 -0500

    Do the full CI on the librsvg-2.44 branch

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit 8b40a7beaca322362719e1ec6f1ed38dc50de17e
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 27 20:54:53 2018 -0500

    Bump version to 2.44.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4420bdf26e05f186b9189696202a33a7fb8d870
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 27 20:53:00 2018 -0500

    Add xml processing instruction

 tests/fixtures/render-crash/324-empty-svg.svg | 1 +
 1 file changed, 1 insertion(+)

commit b4ab2aaacbc711a2f8a7a896b9035acb99c6fd97
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Mon Aug 27 15:23:36 2018 +0200

    Do not assert if we ask dimensions of a file with no ink box
    
    Avoid to assert on files that do not have ink box at all.
    Also add a testcase and improve the test.
    Hopefully fixes https://gitlab.gnome.org/GNOME/librsvg/issues/324:
    at least it fixes the mininal test case, but the crash of vmware
    viewer needs to be tested.
    
    Fixes https://gitlab.gnome.org/GNOME/librsvg/issues/324

 librsvg/rsvg-handle.c                         |  8 ++++---
 librsvg/rsvg-private.h                        |  2 +-
 rsvg_internals/src/drawing_ctx.rs             | 21 +++++++++++-------
 tests/fixtures/render-crash/324-empty-svg.svg |  2 ++
 tests/render-crash.c                          | 31 ++++++++++++++++++---------
 5 files changed, 42 insertions(+), 22 deletions(-)

commit 9f8ed0564176e97ca276c70d9b1cb7238686abb0
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 23 17:23:41 2018 -0500

    rustfmt

 rsvg_internals/src/gradient.rs | 3 +--
 rsvg_internals/src/load.rs     | 1 -
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 18a4f166c4faf590988823c472bd0333fcf7d1e7
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 23 16:18:00 2018 -0500

    Update NEWS

 NEWS | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 1ea806763170a7a58fa8fd67c03a421803dcee47
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 23 16:10:48 2018 -0500

    Bump version to 2.44.0, yay!

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af700a96a9696c625243769842f1b456923e8d1d
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 23 16:09:04 2018 -0500

    Don't strip single quotes from CSS property values
    
    Now we can process quoted values properly for font-family.

 rsvg_internals/src/state.rs | 5 -----
 1 file changed, 5 deletions(-)

commit 3d84acca9c11482cb0d2f75d379086be21bd4c91
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 23 15:12:49 2018 -0500

    gitlab#319 - Parse font-family correctly
    
    We were just using cssparser.expect_string(), which takes quoted
    strings.  In CSS/SVG, however, font-family can take quoted or unquoted
    strings.
    
    We now have a SingleFontFamily type that can parse a font-family.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/319

 rsvg_internals/src/font_props.rs | 67 +++++++++++++++++++++++++++++++++++++++-
 rsvg_internals/src/state.rs      |  6 ++--
 rsvg_internals/src/text.rs       |  2 +-
 3 files changed, 70 insertions(+), 5 deletions(-)

commit 08daccbb1d82ec260c141a4d93b836f1ee4f80d5
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 23 11:45:21 2018 -0500

    gitlab#293 - Don't panic when masking an empty object
    
    Handle the case where there's no current bounding box because the
    object being masked is empty.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/293

 rsvg_internals/src/mask.rs                         | 37 +++++++++++++---------
 .../fixtures/render-crash/293-mask-empty-group.svg | 11 +++++++
 2 files changed, 33 insertions(+), 15 deletions(-)

commit 644a00dc9ef8fc5665e6e614514aef10b243f1d8
Merge: 36740479 114961b1
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 17:44:14 2018 -0500

    Merge branch 'mitigate-nested-use'

commit 114961b1e1d74065ffe4a04f61db9ca7c2693b6f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 17:33:23 2018 -0500

    Clarify the docs for rsvg_handle_render_cairo() / render_cairo_sub() a bit

 librsvg/rsvg-handle.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 785100110beee64f35106ba6d35dd29333d0e1ab
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 17:30:27 2018 -0500

    rsvg-test.c: Check the return value of rsvg_handle_render_cairo()

 tests/rsvg-test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe325787709eb18220c1706ca42fec1aa4107903
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 17:17:32 2018 -0500

    tests/errors.c: New set of tests for reported errors from the API
    
    Although we can't report detailed errors from the rendering functions,
    we do report a success/failure boolean value.  Test this, at least,
    for problematic files.

 tests/Makefile.am                        |   9 +-
 tests/errors.c                           |  55 +++++++++
 tests/fixtures/errors/323-nested-use.svg | 196 +++++++++++++++++++++++++++++++
 3 files changed, 259 insertions(+), 1 deletion(-)

commit a83ef3f7ecb36f3889e7d16f45f6b9f0f141980e
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 17:02:33 2018 -0500

    rsvg-convert: Exit when we cannot render a file successfully

 rsvg-convert.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit a9ca82a5c8f87f2e6fccfec56349b30906539d0f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 16:47:44 2018 -0500

    gitlab#323 - Limit the number of instancings through the <use> element
    
    A pathological SVG file can do this:
    
    <svg>
      <defs>
        <rect id="foo" .../>
    
        <g id="foo1">
          <use xlink:href="#foo"/>
          ... repeat 10 times ...
        </g>
    
        <g id="foo2">
            <use xlink:href="#foo1"/>
            ... repeat 10 times ...
        </g>
    
        <g id="foo3">
            <use xlink:href="#foo2"/>
            ... repeat 10 times ...
        </g>
    
        ... etc ...
      </defs>
    
      <use xlink:href="#foo17"/>
    </svg>
    
    This would cause about 10^17 objects to be rendered.  While this does
    not exhaust memory (the objects are not instanced in memory), it would
    take a really long time to render that many objects.
    
    So, we now have a limit on up to 500,000 objects instanced through
    <use>.  We can tweak this limit later, or the way in which it is
    computed; the point is that we can now detect this situation and
    propagate an error upstream.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/323

 rsvg_internals/src/drawing_ctx.rs | 12 ++++++++++++
 rsvg_internals/src/error.rs       |  1 +
 2 files changed, 13 insertions(+)

commit a762912f42b4fb9bab92c5758f8465708a6dbe17
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 21 16:24:59 2018 -0500

    Propagate RenderingError up to the Node.draw() methods
    
    This touches most of the code for the "obvious" places where rendering
    errors should be propagated.  It does not yet handle all the places
    where Cairo errors could occur.

 librsvg/rsvg-handle.c                 |  10 +-
 librsvg/rsvg-private.h                |   2 +-
 rsvg_internals/src/clip_path.rs       |   9 +-
 rsvg_internals/src/drawing_ctx.rs     | 201 ++++++++++++++++++++++------------
 rsvg_internals/src/filters/context.rs |  12 +-
 rsvg_internals/src/filters/image.rs   |  24 ++--
 rsvg_internals/src/image.rs           |  10 +-
 rsvg_internals/src/link.rs            |  11 +-
 rsvg_internals/src/marker.rs          |  88 +++++++++------
 rsvg_internals/src/mask.rs            |  18 +--
 rsvg_internals/src/node.rs            |  21 +++-
 rsvg_internals/src/paint_server.rs    |   6 +-
 rsvg_internals/src/pattern.rs         |  25 ++---
 rsvg_internals/src/shapes.rs          |  50 +++++----
 rsvg_internals/src/structure.rs       |  41 +++----
 rsvg_internals/src/text.rs            |  97 ++++++++--------
 rsvg_internals/src/viewport.rs        |  15 ++-
 17 files changed, 393 insertions(+), 247 deletions(-)

commit d3a0d357d7456073558f3a0d1e136c1ab52490fe
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 20 18:27:34 2018 -0500

    Add a RenderingError enum
    
    We'll use this to propagate errors from Node.draw().

 rsvg_internals/src/error.rs | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 3674047901e88d139ac8d6889f2e4b6001eb7733
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Tue Aug 21 10:47:13 2018 +0300

    Add missing files to Makefile.am

 Makefile.am | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit f5a6b09f1c02b6dc6bb365a60a9079bacabc1d20
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 20 18:04:44 2018 -0500

    DrawingCtx: Keep track of how many elements we instance through <use>

 rsvg_internals/src/drawing_ctx.rs | 17 +++++++++++++++++
 rsvg_internals/src/structure.rs   |  2 ++
 2 files changed, 19 insertions(+)

commit 24503cb0ecc20df08b3c5f5f0da6e09df8567332
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 20 16:09:43 2018 -0500

    Remove unused C types

 librsvg/rsvg-private.h | 8 --------
 1 file changed, 8 deletions(-)

commit 2aa96c2a46b367e2036d95a9ea7fa44e6c29e32f
Merge: eb690057 ace19fc4
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 20 15:48:31 2018 -0500

    Merge branch 'pborelli/librsvg-cleanup'

commit ace19fc4d773223cc091b38df5d46acdc9e4df5c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 20 15:22:31 2018 -0500

    NodeSvg: replace with_pbag() with a specific parse_style_attrs() method

 rsvg_internals/src/load.rs      |  2 +-
 rsvg_internals/src/structure.rs | 15 ++++++---------
 2 files changed, 7 insertions(+), 10 deletions(-)

commit bb1ebcc504672c948a2882a2908fac6c2914069c
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 12 17:47:45 2018 +0200

    Factor out a tree module
    
    Small rust module that represents the root of the node tree and
    allows to remove some logic from handle.c

 Makefile.am                       |  1 +
 librsvg/rsvg-handle.c             | 47 ++++++++----------------
 librsvg/rsvg-load.c               | 16 ++++----
 librsvg/rsvg-load.h               |  2 +-
 librsvg/rsvg-private.h            | 34 ++++++++++++-----
 rsvg_internals/src/drawing_ctx.rs |  9 +++--
 rsvg_internals/src/lib.rs         | 11 +++++-
 rsvg_internals/src/node.rs        | 63 ++------------------------------
 rsvg_internals/src/tree.rs        | 77 +++++++++++++++++++++++++++++++++++++++
 9 files changed, 143 insertions(+), 117 deletions(-)

commit 7902428d1624fb317c6ed7165d998fc3544f0cde
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Mon Aug 20 15:39:55 2018 +0200

    load: slightly rework API
    
    Add a get_treebase instead of returning it during destroy, this
    makes the refcouting logic more explicit and lets us use
    g_clear_pointer since load_free does not have a return value.

 librsvg/rsvg-handle.c | 22 ++++++++++---------
 librsvg/rsvg-load.c   | 59 +++++++++++++++++++++++----------------------------
 librsvg/rsvg-load.h   | 10 ++++-----
 3 files changed, 44 insertions(+), 47 deletions(-)

commit 0f00f17d7e45695f1702c5bbc6a764caa9c6cbc4
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 23:41:42 2018 +0200

    node: do not expose node type to C
    
    The only remaining caller was an assertion that we can push into
    the rust callee.

 librsvg/rsvg-load.c        |  1 -
 librsvg/rsvg-private.h     | 60 ----------------------------------------------
 rsvg_internals/src/lib.rs  |  1 -
 rsvg_internals/src/node.rs | 10 --------
 rsvg_internals/src/text.rs |  1 +
 5 files changed, 1 insertion(+), 72 deletions(-)

commit 4f39e253538d27c355bf4c90bf5c9d5662ef831d
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 21:59:56 2018 +0200

    load: move here the helper to set atts on the svg nodes
    
    This is more symmetric with the code for the other nodes, which
    is already in rsvg_load_set_node_atts.

 librsvg/rsvg-load.c             | 12 ++++++------
 rsvg_internals/src/lib.rs       |  4 ++--
 rsvg_internals/src/load.rs      | 17 +++++++++++++++++
 rsvg_internals/src/structure.rs | 25 +++++++++++--------------
 4 files changed, 36 insertions(+), 22 deletions(-)

commit ccf35bd764a69dc1b2673a37c65053684e7a8171
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 21:38:23 2018 +0200

    load: move in the rust code the check if an element is <svg>

 librsvg/rsvg-load.c        | 10 ++++------
 rsvg_internals/src/load.rs | 17 +++++++++++++++++
 2 files changed, 21 insertions(+), 6 deletions(-)

commit 4bcd8ea99bd7f49fd379604f66b5b4006cbf6c85
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 21:16:38 2018 +0200

    Remove unused macros

 librsvg/rsvg-private.h | 52 --------------------------------------------------
 1 file changed, 52 deletions(-)

commit 029a21c6c2aac85b22a1f8df12379c9db5ec7f20
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 21:15:24 2018 +0200

    handle: move allow_load in handle.c
    
    It is the only place where it is called, make it static

 librsvg/rsvg-base.c    | 122 -------------------------------------------------
 librsvg/rsvg-handle.c  | 117 ++++++++++++++++++++++++++++++++++++++++++++++-
 librsvg/rsvg-private.h |   5 --
 3 files changed, 115 insertions(+), 129 deletions(-)

commit c3716fc599671dd67a1555d0c4cd453315489a01
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 20:03:34 2018 +0200

    drawing_ctx: simplify draw_from_stack C api
    
    We were always passing NULL and FALSE for the last arguments.

 librsvg/rsvg-handle.c             |  4 ++--
 librsvg/rsvg-private.h            |  5 +----
 rsvg_internals/src/drawing_ctx.rs | 21 +--------------------
 3 files changed, 4 insertions(+), 26 deletions(-)

commit 3c5d4d805504cd9af8c4e503d391cb762940644e
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Aug 19 19:52:01 2018 +0200

    handle: factor out common code in get_{posistion|dimensions}_sub

 librsvg/rsvg-handle.c | 111 +++++++++++++++++++++-----------------------------
 1 file changed, 46 insertions(+), 65 deletions(-)

commit eb6900576cf291682203d6a283b3956d278dd9af
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sun Aug 19 15:46:55 2018 +0300

    Get rid of round() elsewhere

 rsvg_internals/src/filters/color_matrix.rs         | 4 ++--
 rsvg_internals/src/filters/component_transfer.rs   | 4 ++--
 rsvg_internals/src/filters/convolve_matrix.rs      | 4 ++--
 rsvg_internals/src/filters/gaussian_blur.rs        | 2 +-
 rsvg_internals/src/filters/turbulence.rs           | 2 +-
 rsvg_internals/src/surface_utils/mod.rs            | 4 ++--
 rsvg_internals/src/surface_utils/shared_surface.rs | 4 ++--
 7 files changed, 12 insertions(+), 12 deletions(-)

commit 1ff01f5e47c0558a62867f0f9ce6d18e74e94633
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sun Aug 19 15:44:35 2018 +0300

    Get rid of round() in composite

 rsvg_internals/src/filters/composite.rs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 84f3831b4d424a62eaa56f33f0d5ad60a094319f
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sun Aug 19 15:36:43 2018 +0300

    Add a benchmark for composite

 rsvg_internals/Cargo.toml               |   4 ++
 rsvg_internals/benches/composite.rs     |  50 +++++++++++++++
 rsvg_internals/src/filters/composite.rs | 107 +++++++++++++++++++-------------
 3 files changed, 119 insertions(+), 42 deletions(-)

commit 96180e43774fcb5ebe59acf67c24ea4461f3c9e5
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sun Aug 19 11:05:45 2018 +0300

    Don't use round() in srgb
    
    Significant performance improvement.

 rsvg_internals/src/srgb.rs | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a3a097ada56c761e6925c5bb3e45cedf31d46619
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sat Aug 18 23:33:28 2018 +0300

    Compute the offset manually in Pixels::next()
    
    This improves the pixel_iterators pixels benchmark by about 35%.

 rsvg_internals/benches/pixel_iterators.rs          | 18 ++++++++++++------
 rsvg_internals/src/surface_utils/iterators.rs      | 11 ++++++++++-
 rsvg_internals/src/surface_utils/shared_surface.rs | 15 +++++++++++++++
 3 files changed, 37 insertions(+), 7 deletions(-)

commit da812286d7ad7da62ce84653ef222d1d26afcbcb
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sat Aug 18 16:38:39 2018 +0300

    Add a benchmark for sRGB operations

 rsvg_internals/Cargo.toml      |  4 +++
 rsvg_internals/benches/srgb.rs | 64 ++++++++++++++++++++++++++++++++++++++++++
 rsvg_internals/src/lib.rs      |  2 +-
 rsvg_internals/src/srgb.rs     | 40 +++++++++++++++-----------
 4 files changed, 93 insertions(+), 17 deletions(-)

commit d2089e14133e7bc0a76d4fc9c082d616a5b8db0d
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sat Aug 11 12:40:39 2018 +0300

    Remove more branches from box_blur_loop

 rsvg_internals/src/surface_utils/shared_surface.rs | 60 +++++++++++-----------
 1 file changed, 29 insertions(+), 31 deletions(-)

commit 59011948799d5f6c3c85ea1ead9a8c072927655d
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Sat Aug 11 12:35:20 2018 +0300

     Remove some runtime branches from box_blur_loop
    
     Switch blur direction and alpha-only-ness at compile time, effectively
     generate 4 variants of box_blur_loop() without the branches in
     question. Improves benchmarks.

 rsvg_internals/benches/box_blur.rs                 | 20 ++++++-
 rsvg_internals/src/filters/gaussian_blur.rs        | 20 ++++---
 rsvg_internals/src/surface_utils/shared_surface.rs | 65 +++++++++++++++++-----
 3 files changed, 80 insertions(+), 25 deletions(-)

commit b91c9831064dff14f637e9f9d3d5334718d071c4
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Fri Aug 17 18:34:24 2018 +0300

    Log filter primitive render times

 rsvg_internals/src/filters/mod.rs | 10 ++++++++++
 rsvg_internals/src/node.rs        |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 32a07ef99ff5da2cdc58b608f3e13d0d3fcdb30f
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Fri Aug 17 17:51:28 2018 +0300

    Log errors from filter rendering

 rsvg_internals/src/filters/mod.rs | 97 ++++++++++++++++++++-------------------
 1 file changed, 50 insertions(+), 47 deletions(-)

commit 87070e74a5e4fb94098e4dc7ccb74e4853e957ba
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Aug 16 11:03:09 2018 -0500

    Remove unused struct

 librsvg/rsvg-load.c | 7 -------
 1 file changed, 7 deletions(-)

commit cdf25b513829d5a54e40b9e73e37342c0718f254
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 13 19:00:32 2018 -0500

    CONTRIBUTING.md: Mention how to get debug logs

 CONTRIBUTING.md | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit ea3061fa76e73b95619c3f2864636ae3a21656a8
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 13 18:13:32 2018 -0500

    Log nodes that we don't use because they are in error

 rsvg_internals/src/drawing_ctx.rs |  4 ++++
 rsvg_internals/src/filters/mod.rs | 13 ++++++++++++-
 rsvg_internals/src/gradient.rs    | 13 ++++++++++++-
 rsvg_internals/src/node.rs        | 24 ++++++++++++++++--------
 rsvg_internals/src/state.rs       |  4 +++-
 5 files changed, 47 insertions(+), 11 deletions(-)

commit f68885c9e308d421eff56e5c40dee4fc3bed2b76
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 13 17:59:02 2018 -0500

    log.rs: New file; we log now when the RSVG_LOG envvar is set
    
    For now that variable has no meaning other than "print some log
    output".  We may add logging options in the future.

 Makefile.am                 |  1 +
 rsvg_internals/src/lib.rs   |  3 +++
 rsvg_internals/src/log.rs   | 18 ++++++++++++++++++
 rsvg_internals/src/node.rs  |  2 +-
 rsvg_internals/src/state.rs |  4 ++--
 5 files changed, 25 insertions(+), 3 deletions(-)

commit 18bde03625cd3790b43f9e0880a16774d43b6590
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 6 15:08:54 2018 -0500

    Print attribute parsing errors that happen during set_atts()
    
    We weren't printing them because those didn't use the Node.set_error() code.

 rsvg_internals/src/node.rs | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 11e739bc17a00862ecdfef89f5d8d5d4160f9f19
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Aug 3 17:11:54 2018 -0500

    parse_style_attrs(): Print attribute parsing errors

 rsvg_internals/src/state.rs | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 4ef371d1ba188367fac9fcbaec01bbdba363c1d5
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Aug 3 13:03:49 2018 -0500

    parse_style_pair(): Print parsing errors

 rsvg_internals/src/state.rs | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 681753c9f6402cb1c159e415ea8da315cebd3bf7
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Aug 3 12:45:01 2018 -0500

    Node.set_error(): Print errors for now; we'll log them properly later

 rsvg_internals/src/node.rs | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2433fd9749fba6a52d0312ef654054d4b129baa8
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Aug 11 11:35:31 2018 +0200

    state: use the proper default value
    
    Now that that we compute default values, we can use Normal as the
    default for letter spacing.

 rsvg_internals/src/state.rs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 641c362d344fc9af56fbb1fb58e0796c41f0f594
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Aug 11 11:33:03 2018 +0200

    state: we must compute also default values
    
    Default property values might need to be resolved to an actual
    computed value. For instance LetterSpacing default value is
    "normal" and we need to compute it to Value(0).

 rsvg_internals/src/state.rs | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 0cf2bc60ae821840f2174b04606e81335e9b6d05
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Aug 11 10:36:47 2018 +0200

    font_props: support letter-spacing "normal"
    
    Add a LetterSpacingSpec enum so that we can support both a
    specified length or the "normal" value.
    
    Fixes https://gitlab.gnome.org/GNOME/librsvg/issues/264

 rsvg_internals/src/font_props.rs | 107 +++++++++++++++++++++++++++++++++++++++
 rsvg_internals/src/state.rs      |  22 +++++---
 2 files changed, 123 insertions(+), 6 deletions(-)

commit f49021cf7885eee706dc6abb25315717e97b61de
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Aug 11 10:34:06 2018 +0200

    font_props: rename test for consistency

 rsvg_internals/src/font_props.rs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07d114f5cabd03af11b5addc238d710a0f0f737c
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Aug 11 10:04:37 2018 +0200

    font_props: improve comments
    
    Drop outdated comment about macro, also we explicitely decided
    against Weight(w) since the spec has a fixed set of weights.
    Add a reference link also for font size.

 rsvg_internals/src/font_props.rs | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit cc464f951363676d2f48c6ddfe760b9dd126971e
Merge: 6e619dd1 326775b9
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Fri Aug 10 15:36:50 2018 +0000

    Merge branch 'sin_cos' into 'master'
    
    Use f64::sin_cos where applicable
    
    See merge request GNOME/librsvg!108

commit 326775b96bfb54e7c0afd16775e3e45b94577176
Author: letheed <letheed@outlook.com>
Date:   Fri Aug 10 13:44:09 2018 +0200

    Use f64::sin_cos where applicable

 rsvg_internals/src/path_builder.rs | 46 +++++++++++++++++++++++---------------
 1 file changed, 28 insertions(+), 18 deletions(-)

commit 6e619dd10504e83b5e84f5f2163a6084e6ad68ed
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Fri Aug 10 15:52:10 2018 +0300

    Fix spelling mistakes in comments

 rsvg_internals/src/surface_utils/shared_surface.rs | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c73ef106f03a2772c40567f2422bd0926beb74a4
Merge: e0561c1a ba04ca79
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Thu Aug 9 22:04:14 2018 +0000

    Merge branch 'arc-cmd' into 'master'
    
    Add PathBuilder Arc command
    
    Closes #190
    
    See merge request GNOME/librsvg!107

commit ba04ca79a11feddfc629501ca09323de3206e3a2
Author: letheed <letheed@outlook.com>
Date:   Thu Aug 9 14:47:33 2018 +0200

    Add PathBuilder Arc command

 rsvg_internals/src/marker.rs       |  45 +++-
 rsvg_internals/src/path_builder.rs | 494 +++++++++++++++++++++----------------
 rsvg_internals/src/path_parser.rs  |   6 +-
 3 files changed, 329 insertions(+), 216 deletions(-)

commit e0561c1a11a2535c10841515041fbd834bb5bce8
Merge: 552f1747 913a589b
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Thu Aug 9 00:05:12 2018 +0000

    Merge branch 'font-weight-parser' into 'master'
    
    Font-weight parser
    
    Closes #318
    
    See merge request GNOME/librsvg!106

commit 913a589b11620ff626bed523314b1f145396138d
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Aug 8 18:38:44 2018 -0500

    Fix #318 - Use a custom parser for the font-weight property
    
    When I moved this to to an identifier-based parser, I broke the
    ability to have numbers like "100" for font-weight.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/318

 rsvg_internals/src/font_props.rs | 89 +++++++++++++++++++++++++++++++++++++++-
 rsvg_internals/src/state.rs      | 23 +++--------
 rsvg_internals/src/text.rs       | 34 +++++++--------
 3 files changed, 110 insertions(+), 36 deletions(-)

commit 7ae2bb3053fbbe65e032f688d3c7c1aef58f5702
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Aug 8 17:55:46 2018 -0500

    FontSizeSpec: move to a font_props.rs file
    
    We'll use this file for various types/properties that need their own
    custom parsers.

 Makefile.am                      |   1 +
 rsvg_internals/src/font_props.rs | 123 +++++++++++++++++++++++++++++++++++++++
 rsvg_internals/src/length.rs     | 112 +----------------------------------
 rsvg_internals/src/lib.rs        |   1 +
 rsvg_internals/src/state.rs      |   3 +-
 5 files changed, 128 insertions(+), 112 deletions(-)

commit 552f17475d478e73f0248c1a4998389710d2c3f3
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 7 17:02:00 2018 -0500

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebeacfa12bdc850c89caf3a943c69d80ac40a1a9
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 7 16:25:14 2018 -0500

    Update NEWS

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit cfdc668e8be6d377bba650d7546721a2fad2a6db
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 7 16:23:24 2018 -0500

    Bump version to 2.43.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60967477af4f8d6baa91d4ac7322daa6fe6e9583
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Fri Aug 3 21:54:21 2018 +0300

    Parallelize box_blur_loop()

 rsvg_internals/src/surface_utils/shared_surface.rs | 311 +++++++++++++++------
 1 file changed, 229 insertions(+), 82 deletions(-)

commit 5c6f4bd983d992b37ec47e72fa37b226b779d0ef
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Fri Aug 3 17:07:13 2018 +0300

    Add Pixel::{to,from}_u32()

 rsvg_internals/src/surface_utils/mod.rs            | 27 ++++++++++++++++++----
 rsvg_internals/src/surface_utils/shared_surface.rs |  7 +-----
 2 files changed, 23 insertions(+), 11 deletions(-)

commit f8ec4399b73857d75c7db99e7f18f751a1114f85
Author: Ivan Molodetskikh <yalterz@gmail.com>
Date:   Wed Aug 1 15:20:20 2018 +0300

    Parallelize lighting filters

 Cargo.lock                                   |  85 ++++++++++++
 rsvg_internals/Cargo.toml                    |   1 +
 rsvg_internals/src/filters/light/lighting.rs | 197 ++++++++++++++++++---------
 rsvg_internals/src/lib.rs                    |   1 +
 4 files changed, 217 insertions(+), 67 deletions(-)

